package com.bytesw.bytebot.dto;

import com.bytesw.bytebot.model.Leg;
import com.bytesw.bytebot.model.Payment;
import com.google.gson.annotations.Expose;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


@Getter
@Setter
@ToString
public class ItineraryReservationDto implements Serializable {
    @Expose
    private Long id;
    @Expose
    private Date dateReservation;
    @Expose
    private String status;
    @Expose
    private Long codePassenger;
    @Expose
    private Long codeAgent;
    @Expose
    private List<Payment> payments;
    @Expose
    private List<Leg> legs;
}
