package com.bytesw.bytebot.dto;

import com.bytesw.bytebot.model.ItineraryReservation;
import com.google.gson.annotations.Expose;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
@ToString
public class PassengerDto implements Serializable {

    @Expose
    private Long id;
    @Expose
    private String firstName;
    @Expose
    private String secondName;
    @Expose
    private String lastName;
    @Expose
    private String phoneNumber;
    @Expose
    private String email;
    @Expose
    private String address;
    @Expose
    private String city;
    @Expose
    private String province;
    @Expose
    private String country;
    @Expose
    private String details;
    @Expose
    private List<ItineraryReservation> itineraryReservations = new ArrayList<>();
}
